<script lang="ts">
export default {
  name: 'DibHero',
  props: {
    data: {
      type: Object,
      required: true,
      default: null,
    },
  },
};
</script>

<template>
  <section class="dib-hero">
    <SlpContainer>
      <SlpRow>
        <SlpColumn :cols="5" size="md">
          <SlpTypography
            variant="heading1-bold"
            tag="h1"
            class="slp-mt-md-32"
            >{{ data.header }}</SlpTypography
          >
          <SlpButton
            class="slp-mt-32 dib-hero__button"
            variant="primary"
            :data-ga-name="data.primary_btn.data_ga_name"
            :data-ga-location="data.primary_btn.data_ga_location"
            :href="data.primary_btn.href"
            >{{ data.primary_btn.text }}
            <SlpIcon icon="gl-download" class="slp-ml-8" />
          </SlpButton>
        </SlpColumn>
        <SlpColumn :cols="7" class="dib-hero__img-col" size="md">
          <img
            :src="data.image.src"
            :alt="data.image.alt"
            class="dib-hero__img"
          />
        </SlpColumn>
      </SlpRow>
    </SlpContainer>
  </section>
</template>

<style lang="scss" scoped>
.dib-hero {
  padding: $spacing-32 0;
  position: relative;
  z-index: 1;
  @media (min-width: $breakpoint-md) {
    padding: $spacing-48 0 0 0;
  }
  &__img-col {
    display: flex;
    justify-content: right;
    position: relative;
    &:before {
      content: '';
      position: absolute;
      height: 0;
      width: 100%;
      padding-bottom: 99.7%;
      border-radius: 100%;
      border: 1px solid #000;
      opacity: 0.20000000298023224;
      background: radial-gradient(
        50% 50% at 50% 50%,
        #fca326 0%,
        rgba(169, 137, 245, 0) 100%
      );
      z-index: 0;
      top: -7%;
      left: 49%;
    }
    &:after {
      content: '';
      position: absolute;
      height: 0;
      width: 100%;
      padding-bottom: 99.7%;
      border-radius: 100%;
      border: 1px solid $color-primary-100;
      background: radial-gradient(
        50% 50% at 50% 50%,
        #a989f5 0%,
        rgba(169, 137, 245, 0) 100%
      );

      z-index: 0;
      opacity: 0.20000000298023224;
      left: 15%;
      top: 9%;
    }
  }
  &__img {
    position: relative;
    z-index: 1;
    margin-top: $spacing-48;
    width: 100%;
    max-height: 590px;
    object-fit: contain;
    @media (min-width: $breakpoint-md) {
      margin-top: 0;
    }
    @media (min-width: $breakpoint-lg) {
      width: auto;
    }
  }
  &__button {
    @media (max-width: $breakpoint-md) {
      width: 100%;
      text-align: center;
      justify-content: center;
    }
  }
}
</style>
